polybori::mapped_new_node< MapType, VariableType, TermType, NodeType > Class Template Reference

`#include <pbori_func.h>`

## Public Types

typedef MapType | map_type
typedef NodeType | node_type
typedef node_type::idx_type | idx_type

## Public Member Functions

| mapped_new_node (const map_type &the_map)
NodeType | operator() (idx_type idx, const node_type &first, const node_type &second) const

## Member Typedef Documentation

template<class MapType, class VariableType, class TermType, class NodeType>

typedef node_type::idx_type polybori::mapped_new_node< MapType, VariableType, TermType, NodeType >::idx_type

template<class MapType, class VariableType, class TermType, class NodeType>

typedef MapType polybori::mapped_new_node< MapType, VariableType, TermType, NodeType >::map_type

template<class MapType, class VariableType, class TermType, class NodeType>

typedef NodeType polybori::mapped_new_node< MapType, VariableType, TermType, NodeType >::node_type

## Constructor & Destructor Documentation

template<class MapType, class VariableType, class TermType, class NodeType>

polybori::mapped_new_node< MapType, VariableType, TermType, NodeType >::mapped_new_node | ( | const map_type & | the_map) |  |

inline

## Member Function Documentation

template<class MapType, class VariableType, class TermType, class NodeType>

NodeType polybori::mapped_new_node< MapType, VariableType, TermType, NodeType >::operator() | ( | idx_type | idx,
|  | const node_type & | first,
|  | const node_type & | second
| ) |  | const

inline

The documentation for this class was generated from the following file:

- pbori_func.h